
.. _check_cli:

check
*****







.. rubric:: Output of :code:`--help=check`



The following help text is generated by :code:`ecflow_client --help=check`

::

   
   check
   -----
   
   Checks the expression and limits in the server. Will also check trigger references.
   Trigger expressions that reference paths that don't exist, will be reported as errors.
   (Note: On the client side unresolved paths in trigger expressions must
   have an associated 'extern' specified)
     arg = [ _all_ | / | list of node paths ]
   Usage:
     --check=_all_           # Checks all the suites
     --check=/               # Checks all the suites
     --check=/s1 /s2/f1/t1   # Check suite /s1 and task t1
   
   The client considers, for both user and child commands, the following environment variables:
   
     ECF_HOST <string> [mandatory*]
       The main server hostname; default value is 'localhost'
     ECF_PORT <int> [mandatory*]
       The main server port; default value is '3141'
     ECF_SSL <any> [optional*]
       Enable secure communication between client and server.
     ECF_HOSTFILE <string> [optional]
       File that lists alternate hosts to try, if connection to main host fails
     ECF_HOSTFILE_POLICY <string> [optional]
       The policy ('task' or 'all') to define which commands consider using alternate hosts.
   
   The options marked with (*) must be specified in order for the client to communicate
   with the server, either by setting the environment variables or by specifying the
   command line options.
   

